Subject: Cannot remove GRE interface in wireless-next (3.0.0 based)

From: Ben Greear <[email-masked]>
Date: Fri, 28 Oct 2011 14:59:23 -0700

I'm not sure if wireless-next is up to date with the rest of the
kernel (it sort of seems not based on the kernel version), but
thought I'd report this GRE issue:

[root@lec2010-ath9k-1 lanforge]# ip tunnel del gre0
ioctl: Operation not permitted
[root@lec2010-ath9k-1 lanforge]# ifconfig gre0
gre0      Link encap:UNSPEC  HWaddr 00-00-00-00-00-00-00-00-00-00-00-00-00-00-00-00
           NOARP MULTICAST  MTU:1476  Metric:1
           RX packets:0 errors:0 dropped:0 overruns:0 frame:0
           TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
           collisions:0 txqueuelen:0
           RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

I'll dig into it further if I get a chance, but stuck in the
wireless stack at the moment...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com